directories:
  output: dist
  buildResources: build
fileAssociations:
  - ext: prompt
    name: OtO Text Orchestrator File
    role: Editor
asar: true
asarUnpack:
  - node_modules/slideshow-redux/**
  - src/electron-stuff/slideshow/connectors/**
win:
  target: nsis
  icon: ./build/icons/icon.ico
  azureSignOptions:
    endpoint: https://weu.codesigning.azure.net
    certificateProfileName: oto-prompter
    codeSigningAccountName: oto
    publisherName: Maxime Redval
nsis:
  oneClick: false
  allowToChangeInstallationDirectory: true
  installerIcon: ./build/icons/icon.ico
  uninstallerIcon: ./build/icons/icon.ico
  installerHeaderIcon: ./build/icons/icon.ico
  createDesktopShortcut: true
  createStartMenuShortcut: true
  include: custom-win-installer.nsi
linux:
  target: deb
productName: OtO
publish:
  - provider: generic
    url: https://releases.teleprompter.best
    useMultipleRangeRequest: false
appId: com.redvalsoftware.oto
files:
  - filter:
      - src/main.js
      - src/spash.html
      - src/electron-stuff/preload.mjs
      - src/electron-stuff/**
      - help/**
  - from: build
    to: ''
mac:
  provisioningProfile: ./otoprovisioning.provisionprofile
  category: public.app-category.productivity
  icon: ./build/icons/icon.icns
  target:
    - target: dmg
      arch:
        - x64
        - arm64
    - target: zip
      arch:
        - x64
        - arm64
  hardenedRuntime: true
  entitlements: ./entitlements.mac.plist
  entitlementsInherit: ./entitlements.mac.plist
  gatekeeperAssess: false
dmg:
  sign: false
  title: 'OtO: Text Orchestrator'
  background: ./build/background.tiff
afterSign: ./notarize.js
electronVersion: 34.5.8
